Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodedocumentfragmentnodetype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodedocumentfragmentnodetype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getNodeType()" method for a DocumentFragment Node returns the constant value 11.

Invoke the "createDocumentFragment()" method and examine the NodeType of the document fragment returned by the "getNodeType()" method. The method should return 11.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-111237558 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-B63ED1A3

Definition at line 46 of file nodedocumentfragmentnodetype.java.

## Constructor & Destructor Documentation

nodedocumentfragmentnodetype::nodedocumentfragmentnodetype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 48 of file nodedocumentfragmentnodetype.java.
    00049  {
    00050       super(factory);
    00051
    00052    }

## Member Function Documentation

String nodedocumentfragmentnodetype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 64 of file nodedocumentfragmentnodetype.java.
    00064                                 {
    00065       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodedocumentfragmentnodetype";
    00066    }

void nodedocumentfragmentnodetype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 67 of file nodedocumentfragmentnodetype.java. References DOMTestCase::doMain().
    00067                                           {
    00068         DOMTestCase.doMain(nodedocumentfragmentnodetype.class,args);
    00069    }

void nodedocumentfragmentnodetype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 54 of file nodedocumentfragmentnodetype.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00054                                                     {
    00055       Document doc;
    00056       DocumentFragment documentFragmentNode;
    00057       int nodeType;
    00058       doc = load("staff");
    00059       documentFragmentNode = doc.createDocumentFragment();
    00060       nodeType = (int)documentFragmentNode.getNodeType();
    00061       assertEquals("nodeDocumentFragmentNodeTypeAssert1",11,nodeType);
    00062
    00063    }

The documentation for this class was generated from the following file:

- nodedocumentfragmentnodetype.java